- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# MStencilOpDesc Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Descriptor for a depth-stencil operation.

This class encapsulates a depth-stencil operation descriptor. There are separate MStencilOpDesc stencil operation descriptors for front and back faces in the depth stencil state.

`#include <MStateManager.h>`

List of all members.

## Public Member Functions
| MStencilOpDesc ()
| Constructor, builds a default stencil operation state.
| ~MStencilOpDesc ()
| Destructor.
void | setDefaults ()
| Set all values for the stencil operation state to their default values.
| MStencilOpDesc (const MStencilOpDesc &rDesc)
| NO SCRIPT SUPPORT.
MStencilOpDesc & | operator= (const MStencilOpDesc &rDesc)
| NO SCRIPT SUPPORT.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Public Attributes
MDepthStencilState::StencilOperation | stencilPassOp
| Stencil op to use when the fragment passes the stencil test, default kKeepStencil.
MDepthStencilState::StencilOperation | stencilFailOp
| Stencil op to use when the fragment fails the stencil test, default kKeepStencil.
MDepthStencilState::StencilOperation | stencilDepthFailOp
| Stencil op to use when the fragment passes the depth test, default kKeepStencil.
MStateManager::CompareMode | stencilFunc
| Sets the stencil buffer comparison function, default kCompareAlways. Search for all occurrences

## Constructor & Destructor Documentation

MStencilOpDesc | ( | const MStencilOpDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Copy constructor.

Parameters:

  [in] | rDesc | The descriptor to copy

## Member Function Documentation

MStencilOpDesc & operator= | ( | const MStencilOpDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Assignment operator.

Parameters:

  [in] | rDesc | The descriptor to copy

Returns:
  Reference to this descriptor

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

## Member Data Documentation

MDepthStencilState::StencilOperation stencilPassOp

Search for all occurrences

Stencil op to use when the fragment passes the stencil test, default kKeepStencil.

MDepthStencilState::StencilOperation stencilFailOp

Search for all occurrences

Stencil op to use when the fragment fails the stencil test, default kKeepStencil.

MDepthStencilState::StencilOperation stencilDepthFailOp

Search for all occurrences

Stencil op to use when the fragment passes the depth test, default kKeepStencil.

MStateManager::CompareMode stencilFunc

Search for all occurrences

Sets the stencil buffer comparison function, default kCompareAlways.

MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc
MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc MStencilOpDesc